Bug 130329 - jw can't work with directory name containing spaces
jw can't work with directory name containing spaces
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: docbook-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 03:38 EDT by Victor Vislobokov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.14-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Vislobokov 2004-08-19 03:38:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
If your directory name contains spaces (for example "My documents"),
then any docbook2* utils can't work with a document into this
directory. This is "jw" program error, because there is bad syntax
present into "jw". This bad syntax are:

cd $SGML_OUTPUT_DIRECTORY

Must be

cd "$SGML_OUTPUT_DIRECTORY"


Version-Release number of selected component (if applicable):
docbook-utils-0.6.14-2

How reproducible:
Always

Steps to Reproduce:
1. cd /tmp
2. mkdir "My documents"
3. cd "My documents"
4. cat >1.xml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE article PUBLIC "article"
"/usr/share/sgml/docbook/xml-dtd-4.2-1.0-24/docbookx.dtd">
<article>
<para>
Example
</para>
</article>

---------------[press CTRL-D]----------------

5. docbook2pdf 1.xml


Actual Results:  /usr/bin/jw: line 273: [: /var/tmp/My: binary
operator expected
Using catalogs: /etc/sgml/xml-docbook.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#print
Working on: /var/tmp/My documents/1.xml
jade:E: cannot open "/var/tmp/My" (No such file or directory)
jade:E: cannot find "documents/1.xml"; tried "documents/1.xml",
"/usr/share/sgml/documents/1.xml"
jade:/usr/share/sgml/xml.dcl:179:2:E: end of document in prolog
/usr/bin/jw: line 436: cd: /var/tmp/My: No such file or directory


Expected Results:  Using catalogs: /etc/sgml/xml-docbook.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#print
Working on: /tmp/My documents/1.xml
Done.


Additional info:

If you rename "My documents" directory to (for example) "123" and will
try above steps again, then all will be okay.
Comment 1 Victor Vislobokov 2004-11-30 23:04:08 EST
This bug appears again in Fedora Core 3, docbook-utils-0.6.14-4
Comment 2 Tim Waugh 2004-12-01 08:47:50 EST
This seems to be a design limitation of docbook-utils.  The SGML_ARGUMENTS
environment variable, passed to the backend, contains more than just the source
file name.

Needs some extra variables to be defined, to split out options from the file name.
Comment 3 Matthew Miller 2006-07-10 18:02:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 09:32:27 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.